RESTinio

Classes | Functions
restinio::file_upload::impl Namespace Reference

## Classes
struct | valid_handler_type
struct | valid_handler_type< T, restinio::utils::metaprogramming::void_t< std::enable_if_t< std::is_same< handling_result_t, decltype(std::declval< T >()(std::declval< part_description_t >())) >::value, bool > > >

## Functions
RESTINIO_NODISCARD constexpr enumeration_error_t | translate_enumeration_error (restinio::multipart_body::enumeration_error_t original)
| Helper function for conversion from one enumeration_error to another. More...

## Function Documentation

## ◆ translate_enumeration_error()

RESTINIO_NODISCARD constexpr enumeration_error_t restinio::file_upload::impl::translate_enumeration_error | ( | restinio::multipart_body::enumeration_error_t | original | ) |
| constexpr

Helper function for conversion from one enumeration_error to another.

Since
  v.0.6.1

Definition at line 85 of file file_upload.hpp.